
EclaireXL - Feature #26

PS/2 keyboard

05/31/2017 05:08 PM - jozsef

Status: Closed Start date: 05/31/2017

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

I've a PS2/2 keyboard with a PS2->USB adapter, which works fine on my PC and other HW emulators which has USB port, but not

on Eclaire (FW7)

The LEDS on the keyboard are blinking once and then stay black (all).

History

#1 - 05/31/2017 06:36 PM - ndary

I Confirm that ExlaireXL does support PS2/USB adapter to connect PS/2 Keyboard & Mouse with CORE7

i just tested it here and it works!!

what adapter you use? that are some cheap adapter that does not fully comply with the PI Protocol

i recommend to use a Belkin adapter or compatible,

send me your postal address and i will ship you an adapter that works as a gift

Nir

#2 - 05/31/2017 06:52 PM - foft

Yeah I expect a non-compliant adaptor. Though I doubt the USB HID support is rock solid investigating these individually takes too long. Does it have

a built in hub? The USB hub support seems a bit iffy to me.

#3 - 05/31/2017 06:53 PM - foft

- Priority changed from Normal to Low

#4 - 05/31/2017 06:55 PM - jozsef

As you mention this, I tried it again:

- if the keyboard has already been connected when I turn eclaire on, it doesn't work

- when I let eclaire to boot and connect the keyboard after the "ready" prompt appeared, the keyboard works.

strange

#5 - 01/09/2018 08:51 PM - foft

- Status changed from New to Closed

These adaptors are just wiring. The keyboard detects if it works in USB or PS2 mode. It can be that the keyboard detects the wrong mode.
